Bug 11526 - при выполнении обновлений нет обработки ошибок
: при выполнении обновлений нет обработки ошибок
Status: NEW
: Sisyphus
(All bugs in Sisyphus/alterator-updates)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 11527
:
  Show dependency tree
 
Reported: 2007-04-17 09:54 by
Modified: 2011-01-25 19:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-17 09:54:12
При выполнении dist-upgrade через http интерфейс нет обработки сообщений об
ошибках, произошедших в процессе обновления.

Вот например вывод dist-upgrade в системе, на который нет ругани на http
интерфейсе:


# apt-get dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages will be upgraded
  dev
1 upgraded, 0 newly installed, 0 removed and 0 not upgraded.
Need to get 0B/1134kB of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue? [Y/n] 
Committing changes...
Preparing...                          
###################################################################################################
[100%]
** Cannot install dev package: mounted udev detected.
** This is no problem, but to avoid side-effects with
** stopping and starting it automatically, please do:
service udevd umount
apt-get install dev
service udevd start
** Note that some services like syslogd might need
** restart after this, too.
error: execution of %pre scriptlet from dev-3.3.1-alt18 failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping dev-3.3.1-alt18
W: Some errors occurred while running transaction
------- Comment #1 From 2007-04-19 01:45:32 -------
Какую ты хочешь обработку ошибок?  Перехватывать stderr у транзакции?
------- Comment #2 From 2007-04-19 03:11:58 -------
да, плюс - по коду ошибки определить факт ошибки.
------- Comment #3 From 2008-03-13 12:00:05 -------
Наверное, стоит перевесить на alterator-pkg (-apt deprecated).

С другой стороны, может иметь смысл делать какой-то хинт в окружении или ФС,
чтоб указать, что в подобных случаях пакетным скриптам всё-таки лучше не
пытаться давать подсказки, а неинтерактивно (с предупреждением) сделать то, что
ими же и рекомендуется.
------- Comment #4 From 2008-03-13 12:58:06 -------
BTW предлагаю хинт в виде ненулевого значения переменной окружения
DURING_UPGRADE :)
------- Comment #5 From 2008-03-14 14:46:04 -------
(In reply to comment #3)
> Наверное, стоит перевесить на alterator-pkg (-apt deprecated).
> 
> С другой стороны, может иметь смысл делать какой-то хинт в окружении или ФС,
> чтоб указать, что в подобных случаях пакетным скриптам всё-таки лучше не
> пытаться давать подсказки, а неинтерактивно (с предупреждением) сделать то, что
> ими же и рекомендуется.

1. alterator-pkg равно как и alterator-apt тут был не причём. Всё дело в самом apt
2. DURING_INSTALL сейчас выставляется.

------- Comment #6 From 2011-01-25 19:47:24 -------
alterator-pkg сейчас этим не занимается. Перевешиваю на alterator-updates
Теперь этот модуль занимается обновлением.